namespace $safeprojectname$
{
    using System;
    using System.Collections.Generic;
    using System.Text;
    using Outlook = Microsoft.Office.Interop.Outlook;
    using System.Windows.Forms;


    class OutExpl
    {
        public int AddExpl(Outlook.Explorer Explorer, int WrapperID, ref System.Collections.SortedList WrapperCol)
        {
            ExplWrap objExplWrap = new ExplWrap();

            try
            {
                objExplWrap.Explorer = Explorer;

                objExplWrap.Key = WrapperID;

                objExplWrap.WrapperClass = WrapperCol;

                // add wrapper class to the collection to keep it alive
                WrapperCol.Add(WrapperID, objExplWrap);

                WrapperID += 1;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

            objExplWrap = null;

            return WrapperID;
        }

        public void KillExpl(int WrapperID, System.Collections.SortedList WrapperCol)
        {
            try
            {
                // remove wrapper class from wrapper collection
                WrapperCol.Remove(WrapperID);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}